Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request GET 'https://api.oneaster.ai/core/v1/admin/channels/1/revisions' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"
Parameters
- id (path, Required): {"type":"string","pattern":"^[0-9]+$"}
- page (query, Optional): {"type":"integer","minimum":1,"maximum":1000000,"default":1}
- size (query, Optional): {"type":"integer","minimum":1,"maximum":100,"default":20}
Responses
200
不可改写渠道配置历史
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"version": {
"type": "integer",
"minimum": 0
},
"config": {
"type": "object",
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"base_url": {
"type": "string"
},
"models": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"model": {
"type": "string"
},
"upstream_model": {
"type": "string"
}
},
"required": [
"model",
"upstream_model"
]
}
},
"groups": {
"type": "array",
"items": {
"type": "string"
}
},
"priority": {
"type": "integer",
"minimum": 0
},
"weight": {
"type": "integer",
"minimum": 0
},
"tag": {
"type": "string"
},
"notes": {
"type": "string"
},
"auto_disable": {
"type": "boolean"
},
"options": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"headers": {
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"parameters": {
"type": "object",
"additionalProperties": {
"type": "number"
}
}
},
"required": [
"name",
"type",
"base_url",
"models",
"groups",
"priority",
"weight",
"tag",
"notes",
"auto_disable",
"options",
"headers",
"parameters"
]
},
"actor_id": {
"anyOf": [
{
"type": "string",
"pattern": "^[0-9]+$"
},
{
"type": "null"
}
]
},
"reference": {
"type": "string"
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"version",
"config",
"actor_id",
"reference",
"created_at"
]
}
},
"total": {
"type": "string",
"pattern": "^[0-9]+$"
},
"page": {
"type": "integer",
"minimum": 0
},
"size": {
"type": "integer",
"minimum": 0
}
},
"required": [
"items",
"total",
"page",
"size"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}